#ifndef _LOG_H_
#define _LOG_H_



#include "SDmanger.h"
#include <SoftwareSerial.h>



#define log_path "/log/log.log"
#define gp_log "/gp.log"
#define log_level 10
#define log_level_1 0  //打印到串口
#define log_level_2 5  //写入文件
#define log_level_3 10   //打印到串口和写入文件



void log_init();
void write_log(String path,String write_data,unsigned char level);
void save_data(String path,String write_data);
void write_log(uint8_t *data,uint32_t size);
// void my_println(String data,int level);


#endif 

